#
# spec file for package golang-org-x
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         golang
%global repo            net
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     golang.org/x/net

Name:           golang-org-x-%{repo}
Version:        1.5.2+git20161213.cfae461
Release:        11.1
Summary:        Additional go.network libraries
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  fdupes
BuildRequires:  golang-packaging
BuildRequires:  xz

BuildRequires:  golang-org-x-net-context
Requires:       golang-org-x-net-context
BuildRequires:  golang-org-x-net-html
Requires:       golang-org-x-net-html
BuildRequires:  golang-org-x-net-websocket
Requires:       golang-org-x-net-websocket
BuildRequires:  golang(golang.org/x/text/encoding)
Requires:       golang(golang.org/x/text/encoding)
BuildRequires:  golang(golang.org/x/text/encoding/charmap)
Requires:       golang(golang.org/x/text/encoding/charmap)
BuildRequires:  golang(golang.org/x/text/encoding/htmlindex)
Requires:       golang(golang.org/x/text/encoding/htmlindex)
BuildRequires:  golang(golang.org/x/text/transform)
Requires:       golang(golang.org/x/text/transform)
BuildRequires:  golang(golang.org/x/crypto/ssh/terminal)
Requires:       golang(golang.org/x/crypto/ssh/terminal)

%{go_nostrip}
%{go_provides}

%description
This package contains additional go.network libraries such as the websocket and
SPDY protocols that are developed by the Go team but outside of the main source
tree.

%package -n h2i
Summary:        An interactive HTTP/2 console
Group:          Development/Languages/Golang
AutoReqProv:    Off

%{go_exclusivearch}

%description -n h2i
The h2i command is an interactive HTTP/2 console.

%prep
%setup -q -n %{repo}-%{version}

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
rm -rf $(find %{_builddir}/go/src/%{import_path}/* | grep -E 'net/(context|html|websocket)')
%gosrc
%gofilelist

%fdupes %{buildroot}%{_prefix}

%files -f file.lst
%defattr(-,root,root,-)
%doc README LICENSE PATENTS AUTHORS CONTRIBUTORS

%files -n h2i
%defattr(-,root,root)
%{_bindir}/h2i

%changelog
* Tue Feb 28 2017 thipp@suse.de
- Update requirements
* Tue Dec 13 2016 tboerger@suse.com
- Update to version 1.5.2+git20161213.cfae461:
  * ipv4: add support for linux/{mips,mipsle}
  * ipv6: add support for linux/{mips,mipsle}
  * nettest: update comment on MakePipe
  * ipv4: add missing IP_HDRINCL option on Windows
  * ipv4: deflake TestConnUnicastSocketOptions on Windows
  * http2: log Framer reads and writes when a server test fails
  * http2: allow Transport to connect to https://[v6literal]/ without port
  * http2: don't flush a stream's write queue in sc.resetStream
  * http2: speed up TestTransportFlowControl in short mode
  * context: deflake tests under Go 1.6
* Tue Dec 13 2016 tboerger@suse.com
- Updated service definition
* Wed Aug 17 2016 tboerger@suse.com
- Create a separate subpackage for h2i
* Wed Aug 17 2016 tboerger@suse.com
- Added rpmlintrc for common golang linting
* Tue Aug 16 2016 tboerger@suse.com
- Applied latest changes for golang-packaging
* Fri Jul  8 2016 tboerger@suse.com
- Refactoed spec with a new unified layout
* Tue Dec 29 2015 matwey.kornilov@gmail.com
- Update to version 1.5.2+git20151229.0cb26f7:
  + http2: move HEADERS/CONTINUATION order checking into Framer
* Mon Dec 28 2015 matwey.kornilov@gmail.com
- Update to version 1.5.2+git20151224.5d0a0f8:
  + http2: add server-side trailer support
  + http2: add support for Transport reading trailers from the server
  + html/charset: use x/text/encoding/htmlindex
  + html/charset: handle unsupported code points for encoding
  + http2: send client trailers
  + http2: make Transport's Response.Body.Close not wait for buffered data
  + html/charset: verify correct UTF-8 behavior
  + http2: reset DebugGoroutines after testing it
  + http2: fix readFrames goroutine spin between ConnectionError and conn close
  + http2: fix typo and simplify truncation of text in test
* Tue Jul  7 2015 i@marguerite.su
- rename to golang-org-x-net
- update version 1.4.2+git20150629.d9558e5
- use golang-packaging for packaging
* Sat Mar 21 2015 i@marguerite.su
- add xz as BuildRequires
* Sun Mar  8 2015 i@marguerite.su
- update version 1.4.2+git20150304.6dc0abc
- package name changed: go-net
* Fri Oct 18 2013 speilicke@suse.com
- Set version to 1.2rc2 after go update
* Fri Oct 18 2013 speilicke@suse.com
- Update to version 1.1.2+hg20131014.85.355ff0aa1b2e:
  + No changelog
* Fri Oct 18 2013 speilicke@suse.com
- Renamed to go-go.net (from go-net)
- Add _service file
* Tue May 14 2013 graham@andtech.eu
- go.net/ipv4: use testing.Skip{,f}
- go.net/websocket: update package comment to refer RFC 6455
- go.net/websocket: optimize frame masking code
- go.net/websocket: allow server configurable
- publicsuffix: update table to latest list from publicsuffix.org
- go.net/websocket: fix handshake error.
* Sun Mar 10 2013 graham@andtech.eu
- publicsuffix: rename exp/cookiejar as net/http/cookiejar.
- publicsuffix: build the full table from publicsuffix.org's
- html: don't use Go tip io.ByteWriter
- spdy: make use of MaxDataLength
- ipv4: fix sprious lookahead on IPConn-based PacketConn
- ipv4: simplify, drop unnecessary parentheses and slice indices
- html: move exp/html and exp/html/atom here to the go.net
- proxy: make proxy tests able to run with host protocol stack
- proxy: make use of constants
- proxy: fix typo
- spdy: update SPDY/2 to SPDY/3
- proxy: fix desired destination address in SOCKS5 CONNECT
- publicsuffix: add an EffectiveTLDPlus1 function.
- publicsuffix: distinguish ICANN domains from private domains;
- publicsuffix: tighten the encoding from 8 bytes per node to 4.
- ipv4: update doc
- ipv4: change I/O method signatures on PacketConn and RawConn
- publicsuffix: use IDNA.
- idna: new package.
- publicsuffix: new package.
- ipv4: remove arguments from example functions
- proxy: fix IP address determination
- go.net: gofmt -w -s
- ipv4: make supportsNewIPInput const
- spdy: disallow stream id 0
- net/spdy: handle corrupted zlib data on read
- ipv4: make variable names clear
- go.net: apply gofmt -w -s
- websocket: Use protocol parameter in websocket.Dial.
- ipv4: make RFC numbers in doc clickable on GoPkgDoc
- spdy: fix typo
- spdy: add package description
* Mon Nov 19 2012 graham@andtech.eu
- Update to hg6a42774d38e5
- Update websockets to hybi17 & hixie76/hybi00
- New ipv4 package
* Mon May  7 2012 graham@andtech.eu
- LICENSE now in tarball, add AUTHORS, README etc to docs
* Tue Mar 13 2012 graham@andtech.eu
- Update to weekly.2012-03-13
* Thu Mar  8 2012 graham@andtech.eu
- update spec file with addition go rpm macros
* Fri Feb 24 2012 graham@andtech.eu
- Update for weekly.2012-02-22
  go.net: gofix for net/url API changes.
* Thu Feb 16 2012 graham@andtech.eu
- spdy: use zlib.NewWriterLevelDict
* Mon Jan 30 2012 graham@andtech.eu
- Initial package
